:root {
    --primary: #ddd;
    --dark: #333;
    --light: #fff;
    --shadow: 0 1px 5px rgba(104, 104, 104, .8);
}

body {
    box-sizing: border-box;
    background: #F2EBE0;
    font-family: Arial, Helvetica, sans-serif;
    margin: 1.5rem 2rem;
}

/* BUTTONS */

.btn {

    border: #fff 1px solid;
    display: block;
    font-size: 1.5rem;
    padding: 16px 30px;
    border-radius: 30px;
    background: none;
    color: #fff;
    font-weight: bold;
    cursor: pointer; 
    transition: all linear 0.3s;
}


/* navbar */
.margins{
    width: calc(33.333% - 20px); /* subtracts margin from column width */
    margin-left: 20px; 
}
.navbar {
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin-left: 6rem;

}

.navbar .logo {
    display: flex;
    align-items: center;
    
}

.navbar .logo h1 {
    padding-left: 3rem;
    font-size: 3rem;
    color: #f00;
}

.navbar ul {
    display: flex;
    list-style: none;  
    padding-left: 20rem;   /* MOZDA ZAJEBE resp*/
}

.navbar ul li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-left: 3rem;
}

.navbar a { 
    text-decoration: none;
    color: #ff3333;
    font-size: 1.5rem;
}

.navbar a:hover {
    color: #0f0;
}


/* about */

.about { 
    padding-top: 2rem;
    display: grid;
    grid-gap: 20px;
    grid-template-areas: 
            'showcase showcase cside'
            'showcase showcase sside'
            'showcase showcase tside' ;
}

.showcase {
    grid-area: showcase;
    min-height: 400px;
    background: linear-gradient(rgba(0,0,0,.2),rgba(0,0,0,.2)), url(/static/images/love.jpg);
    background-position: bottom;
    background-size: cover;
    display: flex; 
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-shadow: var(--shadow);  
}

.showcase .btn:hover, .btn:focus {
    background: #ff333380;
    color: gold;
}

.showcase h1 {
    color: #fff;
    font-size: 4rem;
    text-shadow: .6rem   rgb(170, 169, 169);
    margin: 1rem;
}

.showcase .btn {
    margin-top: 4rem;
}

#lm {
    color: #f00;
    background: none;
}

.box {
    display: flex;
    justify-content: flex-end;
    flex-direction: row;
    padding: 2rem;
    box-shadow: var(--shadow);
    color:  #fff;
    max-height: min-content;
    font-size: 2rem;
}

.box h4{
     margin-bottom: 0;
}


.cside {
    grid-area: cside;
    background: linear-gradient(rgba(0,0,0,.2),rgba(0,0,0,.2)), url(/static/images/green.jpg);
    background-size: cover;
    background-position: center;
    transition: transform ease 0.5s;
    
}

.cside:hover {
    transform: translate(10px, -10px);
}

.g {
    color: #0f0;
    background: none;
}

.sside {
    grid-area: sside;
    background: linear-gradient(rgba(0,0,0,.4),rgba(0,0,0,.4)), url(/static/images/blue.jpg);
    background-size: cover;
    background-position: center; 
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    transition: transform ease .5s;
}
.sside:hover {
    transform: translate(10px, 0);
}

.b {
    color: #2B7DA6;
    background: none;

}

.tside {
    grid-area: tside;
    background: linear-gradient(rgba(0,0,0,.2),rgba(0,0,0,.2)), url(/static/images/fort.jpg);
    background-size: cover;
    background-position: center;
    transition: transform ease .5s;
}

.tside:hover {
    transform: translate(10px, 10px);
}
.o {
    color: #333;
    background: none;
}


/* container */

.container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px,1fr));
    margin-top: 20px;
    grid-gap: 20px;
}

.cont {
    background: #F2EBE0;;
    text-align: center;
    padding: 1.5rem 2rem;
    box-shadow: var(--shadow);
    color: var(--dark);
}

.cont:hover {
    background: #ff000099;
    font-weight: bold;
    color: #fff;
}

/* FOOD */

.food {
    display: grid;
    grid-template-columns: 3;
    grid-column: 1/3;
    background: linear-gradient(rgba(0,0,0,.4),rgba(0,0,0,.6)), url(/static/images/food.jpg);
    background-size: cover;
    background-position: center;
    margin-top: 20px;
    height: 100vh;
    justify-items: center;
    align-items: center;
    font-size: 3rem;
    color: #fff;
    text-shadow: .6rem   rgb(170, 169, 169);
    /* filter:blur(1px); */
}

.food .btn:hover, .btn:focus {
    background: #ff333380;
}

.food h1 {
    padding-top: 6rem;
}

/* PORTFOLIO */


.portfolio {
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    margin-top: 20px;
  }
  
  .portfolio img {
    width: 100%;
    box-shadow: var(--shadow);
  }

  /* footer */

  .footer {
      display: grid;
      margin-top: 20px;
      background: var(--dark);
      box-shadow: var(--shadow);
      color: var(--light);
      text-align: center;
  }

  /* STICKYNAVBAR FOR DESKTOP*/


  @media (max-width: 1325px) {

    .navbar {

        display: flex;
        justify-content: center;
        align-items: center;
        
    }

    .navbar .logo {

        display: flex;
        justify-content: center;
        align-items: center;
        padding-bottom: 1rem;
        margin: 0;
        margin-left: -15rem;
        

    }

    /* .navbar .logo h1{
        display: none;
    } */

    .navbar ul {
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 0;
        padding: 0;
        margin-left: -3rem; 
        position: fixed;
        top: 9rem;
        display: none;
    }

    .navbar ul.black {
        background: #000000c4;
        padding: 2rem;
        width:  100%;
        /* bottom: .1rem;;
        top: 90%; */
        display: flex;
        top: 0px;
        margin-top: 0;

    }

    .navbar a {
        font-size: 1rem;
    }
    
    .navbar li {
        display: block;
        width: 100%;
    }

    .food {
        
        display: grid;
        grid-gap: 20px;
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
        margin-top: 20px;
        align-items: center;
        /* justify-items: center; */
        font-size: 2rem;
        filter: none;
            
        }
    
        .food h1 {
            padding: 6rem;
        }
        
  }

  @media (max-width: 770px) {

    .navbar {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        
    }

    .navbar .logo {

        display: flex;
        justify-content: center;
        align-items: center;
        padding-bottom: 1rem;
        margin: 0;
        margin-left: -7rem;

    }

    /* .navbar .logo h1{
        display: none;
    } */

    

    .navbar ul { 
        display: none;
    }


    .navbar a {
        font-size: 1rem;
    }
    
    .navbar li {
        display: block;
        width: 100%;
    }

    .food {
        
        display: grid;
        grid-gap: 20px;
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
        margin-top: 20px;
        align-items: center;
        justify-items: center;
        font-size: 1rem;
        filter: none;
            
        }
    
        .food h1 {
            padding: 5rem;
        }

        .about { 
        grid-template-areas: 
        'showcase'
        'cside'
        'sside'
        'tside';

    }

  }

  @media (max-width: 500px) {

    .navbar {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;   
    }

    .navbar .logo {

        display: flex;
        justify-content: center;
        align-items: center;
        padding-bottom: 1rem;
        margin-left: -6rem;

    }

    .navbar .logo h1{
        display: none;
    }

    .navbar ul {
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 0;
        padding: 0;
        margin-left: -9rem; 
        margin-top: .5rem;
        position: fixed;
        top: 9rem;
        display: none;


    }


    .navbar a {
        font-size: 1rem;
    }
    
    .navbar li {
        display: block;
        width: 100%;
    }


    .about { 
        grid-template-areas: 
        'showcase'
        'cside'
        'sside'
        'tside';

    }

    /* .cside {
        font-size: .5rem;
    }

    .sside {
        font-size: .5rem;
    }

    .tside {
        font-size: .5rem;
    } */


    .showcase h1{
        font-size: 2rem;
    }

    .food {
        
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    margin-top: 20px;
    align-items: center;
    justify-items: center;
    font-size: 1rem;
    filter: none;
        
    }

    .food h1 {
        padding: 5rem;
    }

    footer {
        padding: 1rem;
        font-size: .8rem;
    }

  }
  
  .date__box {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: #ccc;
    border: 4px solid;
    font-weight: bold;
    padding: 5px 10px;
  }
  .date__box .date__day {
    font-size: 22px;
  }
  
  .blog-card {
    padding: 30px;
    position: relative;
  }
  .blog-card .date__box {
    opacity: 0;
    transform: scale(0.5);
    transition: 300ms ease-in-out;
  }
  .blog-card .blog-card__background,
  .blog-card .card__background--layer {
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
  .blog-card .blog-card__background {
    padding: 15px;
    background: white;
  }
  .blog-card .card__background--wrapper {
    height: 100%;
    clip-path: polygon(0 0, 100% 0, 100% 80%, 0 60%);
    position: relative;
    overflow: hidden;
  }
  .blog-card .card__background--main {
    height: 100%;
    position: relative;
    transition: 300ms ease-in-out;
    background-repeat: no-repeat;
    background-size: cover;
  }
  .blog-card .card__background--layer {
    z-index: 0;
    opacity: 0;
    background: rgba(51, 51, 51, 0.9);
    transition: 300ms ease-in-out;
  }
  .blog-card .blog-card__head {
    height: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .blog-card .blog-card__info {
    z-index: 10;
    background: white;
    padding: 20px 15px;
  }
  .blog-card .blog-card__info h5 {
    transition: 300ms ease-in-out;
  }
  .blog-card:hover .date__box {
    opacity: 1;
    transform: scale(1);
  }
  .blog-card:hover .card__background--main {
    transform: scale(1.2) rotate(5deg);
  }
  .blog-card:hover .card__background--layer {
    opacity: 1;
  }
  .blog-card:hover .blog-card__info h5 {
    color: #ffb535;
  }
  
  a.icon-link {
    color: #363738;
    transition: 200ms ease-in-out;
  }
  a.icon-link i {
    color: #ffb535;
  }
  a.icon-link:hover {
    color: #ffb535;
    text-decoration: none;
  }
  
  .btn2 {
    background: white;
    color: #363738;
    font-weight: bold;
    outline: none;
    box-shadow: 1px 1px 3px 0 rgba(0, 0, 0, 0.2);
    overflow: hidden;
    border-radius: 0;
    height: 50px;
    line-height: 50px;
    display: inline-block;
    padding: 0;
    border: none;
  }
  .btn2:focus {
    box-shadow: none;
  }
  .btn2:hover {
    background: #ffb535;
    color: #fff;
  }
  .btn2.btn--with-icon {
    padding-right: 20px;
  }
  .btn2.btn--with-icon i {
    padding: 0px 30px 0px 15px;
    margin-right: 10px;
    height: 50px;
    line-height: 50px;
    vertical-align: bottom;
    color: white;
    background: #ffb535;
    clip-path: polygon(0 0, 70% 0, 100% 100%, 0% 100%);
  }
  .btn2.btn--only-icon {
    width: 50px;
  }